Subject: Re: bug#45817: 28.0.50; Native fails

From: "Kirill A. Korinsky" <[email-masked]>
Date: Tue, 12 Jan 2021 21:05:10 +0100

Here it is:

√ ~ % emacs -batch -eval "(comp-subr-trampoline-install #'message)"
Debugger entered--Lisp error: (native-compiler-error (lambda (arg0 &rest arg1) (let ((f #'message)) (apply f arg0 arg1))) "Compiling /Users/catap/.emacs.d/eln-cache/28.0.50-...")
  signal(native-compiler-error ((lambda (arg0 &rest arg1) (let ((f #'message)) (apply f arg0 arg1))) "Compiling /Users/catap/.emacs.d/eln-cache/28.0.50-..."))
  comp--native-compile((lambda (arg0 &rest arg1) (let ((f #'message)) (apply f arg0 arg1))) nil "/Users/catap/.emacs.d/eln-cache/28.0.50-x86_64-app...")
  comp-trampoline-compile(message)
  comp-subr-trampoline-install(message)
  command-line-1(("-eval" "(comp-subr-trampoline-install #'message)"))
  command-line()
  normal-top-level()

? ~ %

The last ? means that exit code wasn't zero

--
wbr, Kirill

> On 12. Jan 2021, at 20:38, Andrea Corallo <[email-masked]> wrote:
> 
> "Kirill A. Korinsky" via "Bug reports for GNU Emacs, the Swiss army
> knife of text editors" <[email-masked]> writes:
> 
>> Good day,
>> 
>> I've just upgraded emacs to last version of devel snapshot from emacs
>> ports with native support with local git root
>> 8ad983c4acef60a80e8d6b6ba891b1ef957f2d7c and discovered that it can't
>> start nor my local config, nor emacs-doom. I haven't yet tried spacemacs
>> but expected that it will be the same issue.
> 
> Hi Kirill,
> 
> the latest feature/native-comp is 42ff68ec2f.
> 
> Anyway I think to understand what's going on we need some minimal
> reproducer.  Could you try running the followig and report the output
> (if any)?
> 
> emacs -batch -eval "(comp-subr-trampoline-install #'message)"
> 
> Thanks!
> 
>  Andrea